public class RamassePiece : InteractableObject {

    protected override void DoActionUp() {
        base.DoActionUp();
        if (!FenteTelescope.havePiece) {
            FenteTelescope.havePiece = true;
            SoundManager.PlaySound("pickPiece");
            Invoke("DestroyMe", 0.25f);
        }
    }

    void DestroyMe() {
        Destroy(gameObject);
    }
}